SDL_TryLockRWLockForReading(3)

NAME
SDL_TryLockRWLockForReading - Try to lock a read/write lock _for reading_ without blocking.

HEADER FILE
Defined in SDL3/SDL_mutex.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_TryLockRWLockForReading(SDL_RWLock *rwlock) SDL_TRY_ACQUIRE_SHARED(0, rwlock);

DESCRIPTION
This works just like SDL_LockRWLockForReading (), but if the rwlock is not available, then this function returns SDL_RWLOCK_TIMEDOUT immediately. This technique is useful if you need access to a resource but don't want to wait for it, and will return to it to try again later. Trying to lock for read-only access can succeed if other threads are holding read-only locks, as this won't prevent access. This function does not fail; if rwlock is NULL, it will return 0 immediately having locked nothing. If rwlock is valid, this function will always either lock the rwlock and return 0, or return SDL_RWLOCK_TIMEOUT
 and lock nothing.

FUNCTION PARAMETERS

rwlock
    the rwlock to try to lock

RETURN VALUE
Returns 0 or SDL_RWLOCK_TIMEDOUT

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_LockRWLockForReading(3), SDL_TryLockRWLockForWriting(3), SDL_UnlockRWLock(3)